[arch-commits] Commit in miro/trunk (Miro-xulrunner.patch PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Jul 16 21:49:32 UTC 2008


    Date: Wednesday, July 16, 2008 @ 17:49:32
  Author: jgc
Revision: 5492

Fix build with xulrunner 1.9. Patch taken from Fedora

Added:
  miro/trunk/Miro-xulrunner.patch
Modified:
  miro/trunk/PKGBUILD

----------------------+
 Miro-xulrunner.patch |   64 +++++++++++++++++++++++++++++++++++++++++++++++++
 PKGBUILD             |   23 +++++++++--------
 2 files changed, 77 insertions(+), 10 deletions(-)

Added: Miro-xulrunner.patch
===================================================================
--- Miro-xulrunner.patch	                        (rev 0)
+++ Miro-xulrunner.patch	2008-07-16 21:49:32 UTC (rev 5492)
@@ -0,0 +1,64 @@
+diff -up Miro-1.2.3/platform/gtk-x11/platform/mozsetup.py.old Miro-1.2.3/platform/gtk-x11/platform/mozsetup.py
+--- Miro-1.2.3/platform/gtk-x11/platform/mozsetup.py.old	2008-04-22 17:17:01.000000000 +0200
++++ Miro-1.2.3/platform/gtk-x11/platform/mozsetup.py	2008-04-28 12:51:46.000000000 +0200
+@@ -106,8 +106,8 @@ def setupMozillaEnvironment():
+         set_profile_path = gtkmozembed.gtk_moz_embed_set_profile_path
+         
+     set_profile_path(config.get(prefs.SUPPORT_DIRECTORY), 'mozilla')
+-    if hasattr(gtkmozembed, 'set_comp_path'):
+-        set_comp_path = gtkmozembed.set_comp_path
++    if hasattr(gtkmozembed, 'set_path'):
++        set_comp_path = gtkmozembed.set_path
+     elif hasattr(gtkmozembed, 'set_path'):
+         set_comp_path = gtkmozembed.set_path
+     else:
+diff -up Miro-1.2.3/platform/gtk-x11/setup.py.old Miro-1.2.3/platform/gtk-x11/setup.py
+--- Miro-1.2.3/platform/gtk-x11/setup.py.old	2008-04-22 17:17:01.000000000 +0200
++++ Miro-1.2.3/platform/gtk-x11/setup.py	2008-04-28 13:14:27.000000000 +0200
+@@ -209,6 +209,7 @@ def parsePkgConfig(command, components, 
+         options_dict = {
+             'include_dirs' : [],
+             'library_dirs' : [],
++            'runtime_dirs' : [],
+             'libraries' : [],
+             'extra_compile_args' : []
+         }
+@@ -224,6 +225,11 @@ def parsePkgConfig(command, components, 
+             options_dict['libraries'].append(rest)
+         else:
+             options_dict['extra_compile_args'].append(comp)
++            
++    commandLine = "%s --variable=libdir %s" % (command, components)
++    output = getCommandOutput(commandLine).strip()
++    options_dict['runtime_dirs'].append(output)
++    
+     return options_dict
+ 
+ #### The fasttypes extension ####
+@@ -279,6 +285,8 @@ mozilla_browser_options = parsePkgConfig
+         "gtk+-2.0 glib-2.0 pygtk-2.0 --define-variable=includetype=unstable %s %s" % (gtkmozembed, xpcom))
+ mozilla_lib_path = parsePkgConfig('pkg-config', 
+         '%s' % gtkmozembed)['library_dirs']
++runtime_lib_path = parsePkgConfig('pkg-config', 
++        '%s' % gtkmozembed)['runtime_dirs']
+ # Find the base mozilla directory, and add the subdirs we need.
+ def allInDir(directory, subdirs):
+     for subdir in subdirs:
+@@ -334,7 +342,7 @@ mozilla_browser_ext = Extension("miro.pl
+           os.path.join(platform_html_frontend_dir,'DragAndDrop.cc'),
+           os.path.join(platform_html_frontend_dir,'XPCOMUtil.cc'),
+         ],
+-        runtime_library_dirs=mozilla_lib_path,
++        runtime_library_dirs=runtime_lib_path,
+         **mozilla_browser_options)
+ #### Xlib Extension ####
+ xlib_ext = \
+@@ -434,7 +442,7 @@ class install_data (distutils.command.in
+                              BUILD_MACHINE="%s@%s" % (getlogin(),
+                                                       os.uname()[1]),
+                              BUILD_TIME=str(time.time()),
+-                             MOZILLA_LIB_PATH=mozilla_lib_path[0])
++                             MOZILLA_LIB_PATH=runtime_lib_path[0])
+         self.outfiles.append(dest)
+ 
+         locale_dir = os.path.join (resource_dir, "locale")

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-16 21:47:34 UTC (rev 5491)
+++ PKGBUILD	2008-07-16 21:49:32 UTC (rev 5492)
@@ -2,27 +2,30 @@
 # Maintainer: Varun Acharya <varun at archlinux.org>
 
 pkgname=miro
-pkgver=1.2.3
-pkgrel=2
+pkgver=1.2.4
+pkgrel=1
 pkgdesc="The free and open source internet TV platform"
 arch=('i686' 'x86_64')
 url="http://www.getmiro.com"
 license=('GPL')
 depends=('xine-lib>=1.1.12' 'boost>=1.34.1' 'gnome-python-extras>=2.19.1'
-	 'dbus-python>=0.82.4' 'pyrex' 'xulrunner>=1.9')
+	 'dbus-python>=0.82.4' 'pyrex' 'xulrunner>=1.9.0.1')
 makedepends=('pkgconfig' 'qt3')
 conflicts=('democracy')
 replaces=('democracy')
 provides=('democracy')
-source=(http://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-$pkgver.tar.gz
-        missing-headers.patch)
-md5sums=('a617324bee59ff83549ed44d9e96eed5'
-         'b5482eac565a26817af0105b061a8ad5')
+source=(http://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-${pkgver}.tar.gz
+        missing-headers.patch
+	Miro-xulrunner.patch)
+md5sums=('0bb345164b1b6f79ed60f5aab891385f'
+         'b5482eac565a26817af0105b061a8ad5'
+         '3c06b40cd13c2fb202f58dcf64d4b524')
 
 build() {
-  cd $startdir/src/Miro-$pkgver/
-  patch -Np1 -i $startdir/src/missing-headers.patch || return 1
+  cd ${srcdir}/Miro-${pkgver}
+  patch -Np1 -i ${srcdir}/missing-headers.patch || return 1
+  patch -Np1 -i ${srcdir}/Miro-xulrunner.patch || return 1
 
   cd platform/gtk-x11
-  python setup.py install --root=$startdir/pkg || return 1
+  python setup.py install --root=${pkgdir} || return 1
 }





More information about the arch-commits mailing list